Jump to content
RadStudio 10.3.1 was released today Read more... ×
dummzeuch

dotNet framework 4.5 required for Delphi 10.3 Rio

Recommended Posts

I just found that I could not compile from command line because the dotNET framework version 4.5 is not installed on my computer (running Windows 8.1). Oddly enough, the IDE works and compiles fine.

 

According to:

 

http://docwiki.embarcadero.com/RADStudio/Rio/en/Installation_Notes

 

----

Attention: You need to have .NET Framework 4.5 or later installed on your computer to successfully install RAD Studio. If the installer cannot find .NET Framework 4.5 or later installed on your computer, it prompts you to download and install it to continue with the RAD Studio installation.

----

 

The installer should have prompted me to install it, but it didn't. I used the installer from the downloaded DVD image.

 

Is that just a fluke? Did anybody get this prompt?

Edited by dummzeuch

Share this post


Link to post

OK, now I'm really annoyed: I downloaded and installed the dotNet Framework 4.7.2 which is the one the above page links to for Windows 8.1 and rebooted the computer as requested.

https://docs.microsoft.com/en-us/dotnet/framework/install/on-windows-8-1

(This is a "web installer")

There was no error message, but according to "Programs and Features" there is no .NET Framework 4.7.2 or 4.5, it lists only "Microsoft .NET Framework 4.6.2 SDK" and "Microsoft .NET framework 4.6.2 Targeting Pack" installed, both are from 2017:

 

1363358952_2018-11-2419_38_35-Programs-and-Features.thumb.png.c11cd6e25a97a41bf21b6544dbb7d1d0.png

 

And there is still nothing higher than 4.0 in c:\windows\Microsoft.NET\framework:

 

1625063871_2018-11-2419_40_31-Framework.thumb.png.a94d8e438687d07b11d0455609c8fad1.png

 

And of course command line compiling still doesn't work.

Any hints on that?

 

I'm now going to install with the offline installer listed here:

https://docs.microsoft.com/en-us/dotnet/framework/install/guide-for-developers

we'll see how that works out...

 

Edit: Yeah, great, it tells me:

 

Your installation did not occur. See below for reasons why.

Details:

.NET Framework 4.7.2 or a later update is already installed on this computer.

 

2041188804_2018-11-2419_50_43-Microsoft_.NET_Framework.png.9de733f32127c6da7ca003100effc6ac.png

 

Yeah, right.

 

When checking the registry as described in

https://docs.microsoft.com/en-us/dotnet/framework/migration-guide/how-to-determine-which-versions-are-installed#to-find-net-framework-versions-by-viewing-the-registry-net-framework-45-and-later

I find that it apparently has been installed to the 4.0 directory

 

404913142_2018-11-2419_57_10-Registry-Editor.thumb.png.32e98c7d0d7adde6019178bd6d0a9de8.png

 

So I guess I should change rsvars.bat to point to that directory. I should also probably file a bug report on that, because the path seems to be hard coded in the installer.

 

Apparently the IDE gets it right and calls msbuild in


MSBuildBinPath                 = C:\Windows\Microsoft.NET\Framework\v4.0.30319

 

916633147_2018-11-2420_11_18-msbuild-in-path.png.9992e8abfcf1d03238df67573aa02f47.png

 

I got that output by changing the output to "Diagnostic" in Tools -> Options -> IDE -> Compiling and Running:

 

658801695_2018-11-2420_09_56-Options.png.89004d39804fd41fb50b5a26e4dbd28e.png

 

OK, this is probably worth a blog post by now. 😉

Edited by dummzeuch
added more info

Share this post


Link to post
6 minutes ago, haentschman said:
Quote

running Windows 8.1

really? Why? :classic_huh:

Why does that matter?

 

I don't like the intrusive spying of Windows 10 and how Microsoft forces updates on Win10 users. And I never liked Windows 7 (but support for Windows 7 has ended anyway there is only extended support until 01/2020). I don't like Windows 8.1 that much either, but switching to any other version would involve work for no gain.

  • Like 1

Share this post


Link to post

Hi...:classic_cool:

W8.1 is like D2005 :classic_tongue:

Quote

I don't like the intrusive spying of Windows 10 and how Microsoft forces updates on Win10 users

Show me who doesn't. :classic_huh:

  • Like 1

Share this post


Link to post
14 hours ago, dummzeuch said:

I don't like the intrusive spying of Windows 10 and how Microsoft forces updates on Win10 users.

There are ways to bridle those.

Share this post


Link to post

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×